
--
-- CANARDS ARE CUSTOM AND FOLLOW ELEVATOR DEGREES IN NORMAL FLIGHT
-- THEN ROTATE VERTICAL AS SPEEDBRAKES IF ON GROUND AND SPEEDBRAKES DEPLOYED
-- OR ROTATE VERTICAL AS WELL IF ON GROUND AND NO HYDRAULIC PRESSURE
--



----------------------------------- DATAREFS OR COMMANDS -----------------------------------

onground_any = find_dataref("sim/flightmodel/failures/onground_any")
speedbrake_ratio = find_dataref("sim/flightmodel2/controls/speedbrake_ratio")
elevator_deg_L = find_dataref("sim/flightmodel2/wing/elevator1_deg[8]")
elevator_deg_R = find_dataref("sim/flightmodel2/wing/elevator1_deg[9]")
hydraulic_pressure_1 = find_dataref("sim/cockpit2/hydraulics/indicators/hydraulic_pressure_1")

canard_deg_L = create_dataref("dmax3d/efa/canard_deg_L","number")
canard_deg_R = create_dataref("dmax3d/efa/canard_deg_R","number")




--------------------------------- FUNCTIONS TO CALL BACK ---------------------------------

----------------------------------- SLOWLY ANIMATE FUNCTION
function func_animate_slowly(reference_value, animated_VALUE, anim_speed)
	animated_VALUE = animated_VALUE + ((reference_value - animated_VALUE) * (anim_speed * SIM_PERIOD))
	return animated_VALUE
end

------------ EMPTY FUNCTION FOR WRITABLE DATAREF
--function func_do_nothing()
		--nothing
--end




----------------------------------- RUNTIME CODE -----------------------------------


-- DO THIS EACH FLIGHT START
--function flight_start()
--end




-- REGULAR RUNTIME
function after_physics()

	if onground_any == 1 and speedbrake_ratio > 0.55 or onground_any == 1 and hydraulic_pressure_1 < 1 then
		canard_deg_L = func_animate_slowly(45, canard_deg_L, 1)
		canard_deg_R = func_animate_slowly(45, canard_deg_R, 1)
	else
		canard_deg_L = func_animate_slowly(elevator_deg_L*-1, canard_deg_L, 5)
		canard_deg_R = func_animate_slowly(elevator_deg_R*-1, canard_deg_R, 5)
	end

end


-- DO THIS EACH UNLOAD
--function aircraft_unload()
--end